/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.constants;

/**
 * Various constants useful in calculating times.
 */
public interface TimeConstants {
    /** Tics per second. */
    long SECONDS	= 1000;

    /** Tics per minute. */
    long MINUTES	= 60 * SECONDS;

    /** Tics per hour. */
    long HOURS		= 60 * MINUTES;

    /** Tics per day. */
    long DAYS		= 24 * HOURS;
}
