/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

/**
 * A "Full" request for bids, that is, one that includes the ISBN.
 *
 * @author Ken Arnold
 */
public class FullRFB extends RFB {
    /**
     * The ISBN field.  This is a <code>String</code> because ISBNs can
     * have non-numeric characters.
     *
     * @serial
     */
    public String	isbn;
}
