/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */

package com.sun.jini.mahout;

/**
 * This interface is provided for use by QA tests, not for general
 * use.  It is subject to deletion and/or change without notice. Use
 * at your own risk.
 */
public interface KillVMAdmin {
    /**
     * Abruptly kill the VM the service is running in.  Should not perform
     * any cleanup.  This call is asynchronous.
     * @return An estimate of the number of milliseconds that will elapse
     * before the VM is killed.  The caller of this method should not
     * call any processes in this VM until after this time has elapsed.
     */
    public long killVM() throws java.rmi.RemoteException;
}
