/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahout;

import net.jini.core.lookup.*;
import net.jini.discovery.*;

import java.net.DatagramPacket;
import java.net.MulticastSocket;
import java.net.Socket;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.AccessException;
import java.util.Iterator;

import net.jini.core.lookup.*;




/**
 * A <code>Locator</code> implements the
 * methods needed in order to find directory service
 *
 * @author Ken Arnold
 * @author Gary Holness
 *
 */

public abstract class Locator {
    public Locator() {
    }

    public abstract Object locate();
}
