
#/*
# 
# Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
# 
# The contents of this file are made available under and subject to the Research
# Use License of the Sun Community Source License, Jini Technology Core Platform
# Version 1.0 (the "License").  This file has not been tested and may not pass
# the relevant Technology Compatibility Kit for Internal Deployment Use or
# Commercial Use.  You must test this file and it must constitute Compliant
# Covered Code in accordance with Your License prior to any Internal Deployment
# Use or Commercial Use by You.
# 
# Contributor(s): Sun Microsystems, Inc.
# 
# Version 1.1Beta
# 
#*/


TARGETRESDIR	:= $(CLASSDIR)/com/sun/jini/example/books/resource
RESDIR		:= $(TOP)/src/com/sun/jini/example/books/resource

all: resource-directory

resource-directory: $(TARGETRESDIR)

$(TARGETRESDIR):
	@rm -f $@
	mkdir -p $@
	cp $(RESDIR)/words $@

# Clean all class files for this package and all subpackages
#
clean clobber clean.all clobber.all::
	-rm -rf $(TARGETRESDIR)

clobber clobber.all::
	-rm -rf $(TARGETRESDIR)
	-rmdir -p $(TARGETRESDIR)

# Clean all class files for this package
#
clean.this clobber.this::
	rmdir -p $(TARGETRESDIR)
	-rm -f $(RESDIR)/$(THISDIR)/* core
