/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */


/*
 * The contents of this file are subject to the Sun Community Source
 * License, Jini Technology Core Platform, v.1.0 (the "License"); you
 * may not use this file except in compliance with the License. You may
 * obtain a copy of the License at http://www.sun.com/jini.  Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Jini Technology Core Platform code, version v.1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1998 Sun
 * Microsystems, Inc. All Rights Reserved.
 *
 * Contributor(s): Eric Freeman
 */


package com.sun.jini.example.raytrace;

import net.jini.core.entry.*;

public class RenderResult implements Entry {
    /**
     * @serial
     */
    public Long requestor;

    /**
     * @serial
     */
    public Integer startY, startX;

    /**
     * @serial
     */
    public int[] points;

    public String toString() {
	return "(" + startX + "," + startY + ")";
    }
}
