/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class ActivationGUI
{
    
    JPanel     panel;
    JLabel     rmidLabel;
    JTextField rmidField;
    GridLayout classesGUILayout;

    public ActivationGUI( JPanel panel, String text) 
    {
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);

	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));

	rmidLabel = new JLabel("Optional switches:");
	rmidLabel.setHorizontalAlignment(JLabel.CENTER);

	rmidField = new JTextField();

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(rmidLabel);
	panel.add(rmidField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor

    public String getrmidOptions() {
	return rmidField.getText();
    }
    
}//end-class









