/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Component;
import javax.swing.AbstractButton;


/**
 *
 * Take the given JTabbedPane and insert a place a panel,
 * whose contents will be filled in another class.
 * 
 */
public class TabbedGUI extends JPanel 
{

    JPanel classPanel;
    
    public TabbedGUI(String tabLabel ,JTabbedPane panel, String comment) 
    {
	// Lets not do any double buffered flow layouts
	classPanel = new JPanel(false);
	panel.addTab(tabLabel,null,classPanel,comment);
    }

    public JPanel getPanel() 
    {
	return classPanel;
    }

}//end-tabbedGUI
