/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;


public class TxnGUI
{
    
    JPanel     panel;
    JLabel     txnLabel,txnOptionsLabel;
    JLabel     fill1,fill2,fill3,fill4;
    JTextField txnField,txnOptionsField;
    GridLayout txnGUILayout;

    public TxnGUI( JPanel panel, String text) 
    {
	
	txnGUILayout = (new GridLayout(0, 2));
	txnGUILayout.setHgap(3);
	panel.setLayout(txnGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	txnLabel = new JLabel("Location of Txn LOG directory:");
	txnLabel.setHorizontalAlignment(JLabel.RIGHT);

	txnOptionsLabel = new JLabel("Txn Server Options:");
	txnOptionsLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	txnField = new JTextField(File.separator + "tmp" +
				  File.separator + "txn_log");

	txnOptionsField = new JTextField();	

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(txnLabel);
	panel.add(txnField);
	panel.add(txnOptionsLabel);
	panel.add(txnOptionsField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor
    
    public String getTxnLogDir() {
	return txnField.getText();
    }

    public String getTxnOptions() {
	return txnOptionsField.getText();
    }
}//end-class





