
#/*
# 
# Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
# 
# The contents of this file are made available under and subject to the Research
# Use License of the Sun Community Source License, Jini Technology Core Platform
# Version 1.0 (the "License").  This file has not been tested and may not pass
# the relevant Technology Compatibility Kit for Internal Deployment Use or
# Commercial Use.  You must test this file and it must constitute Compliant
# Covered Code in accordance with Your License prior to any Internal Deployment
# Use or Commercial Use by You.
# 
# Contributor(s): Sun Microsystems, Inc.
# 
# Version 1.1Beta
# 
#*/


CLASSSERVERRES		= com/sun/jini/tool/resources/classserver.properties
CLASSSERVERRESSRC	= $(SRC)/$(CLASSSERVERRES)
CLASSSERVERRESDEST	= $(CLASSDIR)/$(CLASSSERVERRES)
CLASSDEPRES		= com/sun/jini/tool/resources/classdep.properties
CLASSDEPRESSRC		= $(SRC)/$(CLASSDEPRES)
CLASSDEPRESDEST		= $(CLASSDIR)/$(CLASSDEPRES)
CHECKSERRES		= com/sun/jini/tool/resources/checkser.properties
CHECKSERRESSRC		= $(SRC)/$(CHECKSERRES)
CHECKSERRESDEST		= $(CLASSDIR)/$(CHECKSERRES)

all: $(CLASSSERVERRESDEST) $(CLASSDEPRESDEST) $(CHECKSERRESDEST)

$(CLASSSERVERRESDEST): $(CLASSSERVERRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

$(CLASSDEPRESDEST): $(CLASSDEPRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

$(CHECKSERRESDEST): $(CHECKSERRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

clean clobber::
	-rm -f $(CLASSSERVERRESDEST) $(CLASSDEPRESDEST) $(CHECKSERRESDEST)
